Environment

This article lists the environment requirements (prerequisites) for running Lingo3G.

Java

Lingo3G requires at least Java 11.

Library dependencies

Lingo3G has a few dependencies on third-party open source libraries. Binaries of these dependencies are included as part of the distribution package, together with accompanying licenses and notice files (all licenses are commercially permissive).

The Lingo3G Maven POM file comes with all required transitive dependencies included, there is no special need to configure anything in addition to that.